Mailing List Archive

[openssh] 05/07: upstream: Verify string returned from local shell command.
This is an automated email from the git hooks/post-receive script.

dtucker pushed a commit to branch master
in repository openssh.

commit 16e2ebe06a62f09d4877b769876d92d6008a896f
Author: dtucker@openbsd.org <dtucker@openbsd.org>
AuthorDate: Mon Mar 25 06:05:42 2024 +0000

upstream: Verify string returned from local shell command.

OpenBSD-Regress-ID: 5039bde24d33d809aebfa8d3ad7fe9053224e6f8
---
regress/sftp-cmds.sh | 7 +++----
1 file changed, 3 insertions(+), 4 deletions(-)

diff --git a/regress/sftp-cmds.sh b/regress/sftp-cmds.sh
index f0ba5907..3bbd079d 100644
--- a/regress/sftp-cmds.sh
+++ b/regress/sftp-cmds.sh
@@ -1,4 +1,4 @@
-# $OpenBSD: sftp-cmds.sh,v 1.16 2024/03/25 03:30:31 dtucker Exp $
+# $OpenBSD: sftp-cmds.sh,v 1.17 2024/03/25 06:05:42 dtucker Exp $
# Placed in the Public Domain.

# XXX - TODO:
@@ -41,9 +41,8 @@ echo "ls ${OBJ}" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \
# XXX always successful

verbose "$tid: shell"
-echo "!echo hi there" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \
- || fail "shell failed"
-# XXX always successful
+echo "!echo hi there" | ${SFTP} -D ${SFTPSERVER} 2>&1 | \
+ grep -E '^hi there$' >/dev/null || fail "shell failed"

verbose "$tid: pwd"
echo "pwd" | ${SFTP} -D ${SFTPSERVER} >/dev/null 2>&1 \

--
To stop receiving notification emails like this one, please contact
djm@mindrot.org.
_______________________________________________
openssh-commits mailing list
openssh-commits@mindrot.org
https://lists.mindrot.org/mailman/listinfo/openssh-commits